Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Java] Class GroovyIfTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag
          org.codehaus.groovy.grails.web.taglib.GroovyConditionalTag
              org.codehaus.groovy.grails.web.taglib.GroovyIfTag

    public class GroovyIfTag
    extends GroovyConditionalTag

Field Summary
`static java.lang.String` | `TAG_NAME`

Fields inherited from class GroovySyntaxTag
ATTRIBUTES_STATUS, ATTRIBUTE_IN, ATTRIBUTE_VAR, attributes, out, parser, tagContext

Method Summary
`java.lang.String` | `getName()`
`protected void` | `outputStartTag(java.lang.String envExpression, java.lang.String testExpression)`

Methods inherited from class GroovyConditionalTag
attributeValueOrNull, doEndTag, doStartTag, isAllowPrecedingContent, isKeepPrecedingWhiteSpace, outputStartTag

Methods inherited from class GroovySyntaxTag
calculateExpression, doEachMethod, init, isAllowPrecedingContent, isKeepPrecedingWhiteSpace, setAttribute, setAttributes, setWriter

Field Detail

### TAG_NAME

    public static final java.lang.String TAG_NAME

Method Detail

### getName

    public java.lang.String getName()

### outputStartTag

    @Override
    protected void outputStartTag(java.lang.String envExpression, java.lang.String testExpression)

Groovy Documentation